Verification Status Check
Monitor the progress of an active verification session.
Get the status of a verification session between Verifier Service and external wallet.
Returns the status of a verification session between Verification Service and external wallet. The status can be one of the following:
IN_PROGRESS— denoting that the verification protocol is still ongoing.VERIFICATION_FAILED— denoting that the verification protocol has terminated, and Verifier Service was unable to verify the credential. Additionally, adescriptionfield will be present with this variant containing some additional information.VERIFICATION_SUCCEEDED— denoting that the verification protocol has terminated, and Verifier Service was able to cryptographically verify the credential, and validate the issuer authenticity according to the trust policy valid for this session. Additionally, apresentedClaimsfield will be present containing the claims that were disclosed during presentation. This allows the caller to perform any business-logic checks they wish.
While the session is IN_PROGRESS it can timeout. Timeout value is controlled
by the session_timeout_secs configuration parameter. After the session
expires, there is a grace period in which a 410 - Session expired is returned.
The grace period value is controlled by the session_timeout_grace_period_secs
configuration parameter. After the grace period is over, the session is
removed no matter its status and a 404 - Session not found is returned.
Path Parameters
A unique ID of the verification session
uuidHeader Parameters
API key for authenticating requests to the Verifier Service.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://evs.fortid.com/verification-session/status/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-API-KEY: 9LFHJCyxgzDjMsFLUf2FfpiI9ZLTlaLi"{
"verificationSessionStatus": "VERIFICATION_SUCCEEDED",
"presentedClaims": {
"name": "John",
"age": 27,
"address": {
"street": "Baker Street",
"postalCode": "NW1"
},
"nationalities": [
"UK"
]
}
}{
"message": "Session ID is not a valid UUID."
}{
"message": "Verification Session not found"
}{
"message": "Verification Session expired"
}{
"message": "Internal Server Error"
}